petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPSetErrorIfNotConverged

Causes KSPSolve() to generate an error if the solver has not converged.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetErrorIfNotConverged(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE indicates you want the error generated

### Options database keys

-ksp_error_if_not_converged : this takes an optional truth value (0/1/no/yes/true/false) -

### Notes

Normally PETSc continues if a linear solver fails to converge, you can call KSPGetConvergedReason() after a KSPSolve() to determine if it has converged.

### See Also

KSPGetErrorIfNotConverged(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages